function ret_val = selectStreams(camera, frame_types)
  % selectStreams
  %   Select the streams you want to get from the camera
  %
  % Inputs:
  %   camera - Camera - A camera
  %   frame_types - vector[FrameType] - The frame types to select
  %
  % Output:
  %   ret_val - numeric - The amount of selected streams
  %

  ret_val = tof.mex('tof_select_streams', camera.get_object_ptr(), uint32(frame_types));
  ret_val = double(ret_val);
end

