#include <pcl/point_cloud.h>
#include <pcl/point_types.h>

#include <chronoptics/tof.hpp>

namespace tof = chronoptics::tof;

int main() {
  tof::KeaCamera cam(tof::ProcessingConfig{}, "202001a");
  tof::select_streams(cam, {tof::FrameType::XYZ});
  cam.start();

  auto frames = cam.get_frames();
  const auto &frame = frames.front();

  // Allocate data
  pcl::PointCloud<pcl::PointXYZ> point_cloud(frame.cols(), frame.rows());
  point_cloud.is_dense = true;

  // Copy frame data into point cloud
  std::copy(frame.begin<pcl::PointXYZ>(), frame.end<pcl::PointXYZ>(),
            point_cloud.begin());
}